package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "DESENSITIZATION_MONITOR_INFO"
)
public class DesensitizationMonitorInfo extends TBaseEntity {
   private String taskid;
   private String monitorid;
   private Date createtime;
   private String instancename;
   private String runstatus;
   private Date starttime;
   private Date endtime;
   private String numappliedrows;
   private String numaffectedrows;
   private String numrejectedrows;
   private String throughput;
   private String widgettype;
   private String logfilepath;

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getMonitorid() {
      return this.monitorid;
   }

   public void setMonitorid(String monitorid) {
      this.monitorid = monitorid;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getInstancename() {
      return this.instancename;
   }

   public void setInstancename(String instancename) {
      this.instancename = instancename;
   }

   public String getRunstatus() {
      return this.runstatus;
   }

   public void setRunstatus(String runstatus) {
      this.runstatus = runstatus;
   }

   public Date getStarttime() {
      return this.starttime;
   }

   public void setStarttime(Date starttime) {
      this.starttime = starttime;
   }

   public Date getEndtime() {
      return this.endtime;
   }

   public void setEndtime(Date endtime) {
      this.endtime = endtime;
   }

   public String getNumappliedrows() {
      return this.numappliedrows;
   }

   public void setNumappliedrows(String numappliedrows) {
      this.numappliedrows = numappliedrows;
   }

   public String getNumaffectedrows() {
      return this.numaffectedrows;
   }

   public void setNumaffectedrows(String numaffectedrows) {
      this.numaffectedrows = numaffectedrows;
   }

   public String getNumrejectedrows() {
      return this.numrejectedrows;
   }

   public void setNumrejectedrows(String numrejectedrows) {
      this.numrejectedrows = numrejectedrows;
   }

   public String getThroughput() {
      return this.throughput;
   }

   public void setThroughput(String throughput) {
      this.throughput = throughput;
   }

   public String getWidgettype() {
      return this.widgettype;
   }

   public void setWidgettype(String widgettype) {
      this.widgettype = widgettype;
   }

   public String getLogfilepath() {
      return this.logfilepath;
   }

   public void setLogfilepath(String logfilepath) {
      this.logfilepath = logfilepath;
   }

   public String toString() {
      return "DesensitizationMonitorInfo [taskid=" + this.taskid + ", monitorid=" + this.monitorid + ", createtime=" + this.createtime + ", instancename=" + this.instancename + ", runstatus=" + this.runstatus + ", starttime=" + this.starttime + ", endtime=" + this.endtime + ", numappliedrows=" + this.numappliedrows + ", numaffectedrows=" + this.numaffectedrows + ", numrejectedrows=" + this.numrejectedrows + ", throughput=" + this.throughput + ", widgettype=" + this.widgettype + ", logfilepath=" + this.logfilepath + "]";
   }
}
